Package org.apache.commons.imaging.color

# Class ColorCieLab

java.lang.Object
org.apache.commons.imaging.color.ColorCieLab

public final class ColorCieLab extends Object
Represents a color in the CIELAB color space, also known as LAB color space.

Contains the constant values for black, white, red, green, and blue.

Since:
  1.0-alpha1
See Also:
  - https://en.wikipedia.org/wiki/CIELAB_color_space#CIELAB

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final double`
  `a`
  a* value.
  `final double`
  `b`
  b* value.
  `static final ColorCieLab`
  `BLACK`
  A constant for color black.
  `static final ColorCieLab`
  `BLUE`
  A constant for color blue.
  `static final ColorCieLab`
  `GREEN`
  A constant for color green.
  `final double`
  `l`
  Lightness L*.
  `static final ColorCieLab`
  `RED`
  A constant for color red.
  `static final ColorCieLab`
  `WHITE`
  A constant for color white.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorCieLab(double l, double a, double b)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### BLACK

    public static final ColorCieLab BLACK
    A constant for color black. Color components are:

             L*: 0
             a*: 0
             b*: 0

  - ### WHITE

    public static final ColorCieLab WHITE
    A constant for color white. Color components are:

             L*: 100
             a*: 0
             b*: 0

  - ### RED

    public static final ColorCieLab RED
    A constant for color red. Color components are:

             L*: 53
             a*: 80
             b*: 67

  - ### GREEN

    public static final ColorCieLab GREEN
    A constant for color green. Color components are:

             L*:  88
             a*: -86
             b*:  83

  - ### BLUE

    public static final ColorCieLab BLUE
    A constant for color blue. Color components are:

             L*:   32
             a*:   79
             b*: -108

  - ### l

    public final double l
    Lightness L*.

  - ### a

    public final double a
    a* value.

  - ### b

    public final double b
    b* value.

- ## Constructor Details

  - ### ColorCieLab

    public ColorCieLab(double l, double a, double b)
    Constructs a new instance.
    Parameters:
      `l` - perceptual lightness L*.
      `a` - a* value.
      `b` - b* value.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`